/** \addtogroup version 
 *  @{
 *    
 * \file    TueObjFusn_Version_int.h 
 * \brief   Definition of the current version of the object fusion.
 *          Automatically updated during the release process.
 *
 * 
 *
 *
 *          (C) Copyright Tuerme Inc. All rights reserved.
 *
 */

#ifndef TUEOBJFUSN_VERSION_INT_H
#define TUEOBJFUSN_VERSION_INT_H

#ifdef __cplusplus
extern "C" {
#endif

/*==================[inclusions]============================================*/
#include "TueObjFusn_Version.h"
#include "TueObjFusn_ConfigID.h"
   
/*==================[macros]================================================*/
   
/** currenct branch ID */
#define TUEOBJFUSN_VERSION_SW_BRANCHID   TUEOBJFUSN_VERSION_SW_BRANCHID_MIDPLATFORM

/** current major version */
#define TUEOBJFUSN_VERSION_SW_MAJOR_VERSION (0u)

/** current minor version */
#define TUEOBJFUSN_VERSION_SW_MINOR_VERSION (32u)

/** current patch version */
#define TUEOBJFUSN_VERSION_SW_PATCH_VERSION (6u)

/* current config ID defined in TueObjFusn_ConfigID.h */

/*==================[type definitions]======================================*/
/*==================[forward declarations]==================================*/
/*==================[symbolic constants]====================================*/
/*==================[return codes]==========================================*/
/*==================[functions]=============================================*/
/*==================[external function declarations]========================*/
/*==================[external constants]====================================*/
/*==================[external data]=========================================*/

#ifdef __cplusplus
}
#endif

#endif // TUEOBJFUSN_VERSION_INT_H
/*==================[end of file]===========================================*/

/** @} */
